<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Добавление клиента</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.CLIENTS_ADD %}
				<form id="client-add" method="post" action="/clients/client/">
					{% csrf_token %}	
					<div class="input-field">
						<input type="text" name="name">
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Имя</label>
					</div>
					<div class="input-field">
						<input type="text" name="number" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Номер телефона</label>
					</div>
					<div class="submit-container">
						<button class="button" form="client-add" type="submit">Добавить</button>
					</div>
				</form>
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	$("input[name=number]").inputmask({"mask": "+999999999999999999", placeholder: ''});

	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>